import { Pipe, PipeTransform } from '@angular/core';
import { HistoryDTO } from '@cmf/trade-api';
import { historyDtoToStatusText } from '../mappings';

@Pipe({
  name: 'historyDtoToStatusText',
})
export class HistoryDtoToStatusTextPipe implements PipeTransform {
  transform(history: HistoryDTO): string {
    return historyDtoToStatusText(history);
  }
}
